Skip to content
GAMPEONCreate
New project

Audit log

GET
/v1/admin/audit
curl --request GET \
--url https://api.gampeon.com/v1/admin/audit \
--header 'Authorization: Bearer <token>'

Requires the role admin.

Not available with access tokens.

limit
integer

1 to 200, default 50

offset
integer

Skip this many

Entries, newest first

Media typeapplication/json
object
entries
required
Array<object>
object
id
required
integer
actorId
required
One of:
integer
action
required
string
target
required
One of:
string
details
required
object
key
additional properties
createdAt
required

Unix time in milliseconds

integer format: int64

Example generated

{
"entries": [
{
"id": 1,
"actorId": 1,
"action": "example",
"target": "example",
"details": {
"additionalProperty": "example"
},
"createdAt": 1
}
]
}

Error codes: unauthorized

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: forbidden, token_not_allowed

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Report a problem with this pageOther ways to give feedback